libgimpprint API Reference: escp2-resolutions.c File Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# src/main/escp2-resolutions.c File Reference

`#include <gimp-print/gimp-print.h>`
`#include "gimp-print-internal.h"`
`#include <gimp-print/gimp-print-intl-internal.h>`
`#include "print-escp2.h"`

Go to the source code of this file.

## Defines
#define | DECLARE_PRINTER_WEAVES(name)
## Functions
| DECLARE_PRINTER_WEAVES (standard)
| DECLARE_PRINTER_WEAVES (pro7000)
| DECLARE_PRINTER_WEAVES (pro7500)
| DECLARE_PRINTER_WEAVES (pro7600)
## Variables
const res_t | r_360x90dpi
const res_t | r_360x90sw
const res_t | r_360x120dpi
const res_t | r_360x120sw
const res_t | r_180dpi
const res_t | r_180sw
const res_t | r_360x180dpi
const res_t | r_360x180sw
const res_t | r_360x240dpi
const res_t | r_360x240sw
const res_t | r_360mw
const res_t | r_360pro
const res_t | r_360
const res_t | r_360sw
const res_t | r_720x360mw
const res_t | r_720x360sw
const res_t | r_720mw
const res_t | r_720sw
const res_t | r_720hq
const res_t | r_720hq2
const res_t | r_1440x720mw
const res_t | r_1440x720sw
const res_t | r_1440x720hq2
const res_t | r_2880x720mw
const res_t | r_2880x720sw
const res_t | r_2880x720hq2
const res_t | r_1440x1440mw
const res_t | r_1440x1440sw
const res_t | r_1440x1440ov
const res_t | r_2880x1440mw
const res_t | r_2880x1440sw
const res_t | r_2880x2880mw
const res_t | r_2880x2880sw
const res_t *const | stpi_escp2_720dpi_reslist []
const res_t *const | stpi_escp2_1440dpi_reslist []
const res_t *const | stpi_escp2_2880dpi_reslist []
const res_t *const | stpi_escp2_2880_1440dpi_reslist []
const res_t *const | stpi_escp2_g3_reslist []
const res_t *const | stpi_escp2_superfine_reslist []
const res_t *const | stpi_escp2_sc500_reslist []
const res_t *const | stpi_escp2_g3_720dpi_reslist []
const res_t *const | stpi_escp2_720dpi_soft_reslist []
const res_t *const | stpi_escp2_sc640_reslist []
const res_t *const | stpi_escp2_pro_reslist []
const printer_weave_t | standard_printer_weaves []
const printer_weave_t | pro7000_printer_weaves []
const printer_weave_t | pro7500_printer_weaves []
const printer_weave_t | pro7600_printer_weaves []

## Define Documentation

#define DECLARE_PRINTER_WEAVES | ( | name |  | ) |

| Value:
    const printer_weave_list_t stpi_escp2_##name##_printer_weave_list =     \
    {                                                               \
      #name,                                                        \
      sizeof(name##_printer_weaves) / sizeof(printer_weave_t),              \
      name##_printer_weaves                                         \
    }
Definition at line 415 of file escp2-resolutions.c.

## Function Documentation

DECLARE_PRINTER_WEAVES | ( | pro7600 |  | ) |

DECLARE_PRINTER_WEAVES | ( | pro7500 |  | ) |

DECLARE_PRINTER_WEAVES | ( | pro7000 |  | ) |

DECLARE_PRINTER_WEAVES | ( | standard |  | ) |

## Variable Documentation

const printer_weave_t pro7000_printer_weaves[]`[static]`

| Initial value:
    {
      { "Off", N_("Off"), 0 },
      { "On", N_("Interleave"), 1 },
      { "FOL", N_("Full Overlap"), 2 },
      { "FourPass", N_("Four Pass"), 3 },
      { "FOL2", N_("Full Overlap 2"), 4 },
    }
Definition at line 431 of file escp2-resolutions.c.

const printer_weave_t pro7500_printer_weaves[]`[static]`

| Initial value:
    {
      { "Off", N_("Off"), 0 },
      { "On", N_("Interleave"), 1 },
      { "FOL", N_("Full Overlap"), 2 },
      { "FourPass", N_("Four Pass"), 3 },
      { "FOL2", N_("Full Overlap 2"), 4 },
      { "MW2", N_("Interleave 2"), 5 },
    }
Definition at line 442 of file escp2-resolutions.c.

const printer_weave_t pro7600_printer_weaves[]`[static]`

| Initial value:
    {
      { "Off", N_("Off"), 0 },
      { "On", N_("Interleave"), 1 },
      { "FOL", N_("Full Overlap"), 2 },
      { "FourPass", N_("Four Pass"), 3 },
      { "FOL2", N_("Full Overlap 2"), 4 },
      { "MW2", N_("Interleave 2"), 5 },
      { "EightPass", N_("Eight Pass"), 6 },
    }
Definition at line 454 of file escp2-resolutions.c.

const res_t r_1440x1440mw`[static]`

| Initial value:
    { "1440x1440mw",   N_("1440 x 1440 DPI"),
      1440, 1440,  1440, 1440, 0, 1, 1}
Definition at line 120 of file escp2-resolutions.c.

const res_t r_1440x1440ov`[static]`

| Initial value:
    { "1440x1440ov",   N_("1440 x 1440 DPI"),
      2880, 1440,  1440, 1440, 1, 0, 1}
Definition at line 126 of file escp2-resolutions.c.

const res_t r_1440x1440sw`[static]`

| Initial value:
    { "1440x1440sw",   N_("1440 x 1440 DPI"),
      1440, 1440,  1440, 1440, 1, 0, 1}
Definition at line 123 of file escp2-resolutions.c.

const res_t r_1440x720hq2`[static]`

| Initial value:
    { "1440x720hq2",   N_("1440 x 720 DPI Highest Quality"),
      1440, 720,  1440, 720,  1, 0, 2 }
Definition at line 106 of file escp2-resolutions.c.

const res_t r_1440x720mw`[static]`

| Initial value:
    { "1440x720mw",     N_("1440 x 720 DPI"),
      1440, 720,  1440, 720,  0, 1, 1 }
Definition at line 100 of file escp2-resolutions.c.

const res_t r_1440x720sw`[static]`

| Initial value:
    { "1440x720sw",    N_("1440 x 720 DPI"),
      1440, 720,  1440, 720,  1, 0, 1 }
Definition at line 103 of file escp2-resolutions.c.

const res_t r_180dpi`[static]`

| Initial value:
    { "180dpi",        N_("180 DPI Economy"),
      180,  180,  180,  180,  0, 0, 1 }
Definition at line 46 of file escp2-resolutions.c.

const res_t r_180sw`[static]`

| Initial value:
    { "180sw",         N_("180 DPI Economy"),
      180,  180,  180,  180,  1, 0, 1 }
Definition at line 49 of file escp2-resolutions.c.

const res_t r_2880x1440mw`[static]`

| Initial value:
    { "2880x1440mw",   N_("2880 x 1440 DPI"),
      2880, 1440,  2880, 1440, 0, 1, 1}
Definition at line 130 of file escp2-resolutions.c.

const res_t r_2880x1440sw`[static]`

| Initial value:
    { "2880x1440sw",   N_("2880 x 1440 DPI"),
      2880, 1440,  2880, 1440, 1, 0, 1}
Definition at line 133 of file escp2-resolutions.c.

const res_t r_2880x2880mw`[static]`

| Initial value:
    { "2880x2880mw",   N_("2880 x 2880 DPI"),
      2880, 2880,  2880, 2880, 0, 1, 1}
Definition at line 137 of file escp2-resolutions.c.

const res_t r_2880x2880sw`[static]`

| Initial value:
    { "2880x2880sw",   N_("2880 x 2880 DPI"),
      2880, 2880,  2880, 2880, 1, 0, 1}
Definition at line 140 of file escp2-resolutions.c.

const res_t r_2880x720hq2`[static]`

| Initial value:
    { "2880x720hq2",   N_("2880 x 720 DPI Highest Quality"),
      2880, 720,  2880, 720,  1, 0, 2 }
Definition at line 116 of file escp2-resolutions.c.

const res_t r_2880x720mw`[static]`

| Initial value:
    { "2880x720mw",    N_("2880 x 720 DPI"),
      2880, 720,  2880, 720,  0, 1, 1}
Definition at line 110 of file escp2-resolutions.c.

const res_t r_2880x720sw`[static]`

| Initial value:
    { "2880x720sw",    N_("2880 x 720 DPI"),
      2880, 720,  2880, 720,  1, 0, 1}
Definition at line 113 of file escp2-resolutions.c.

const res_t r_360`[static]`

| Initial value:
    { "360",           N_("360 DPI"),
      360,  360,  360,  360,  0, 0, 1 }
Definition at line 73 of file escp2-resolutions.c.

const res_t r_360mw`[static]`

| Initial value:
    { "360mw",         N_("360 DPI High Quality"),
      360,  360,  360,  360,  0, 1, 1 }
Definition at line 67 of file escp2-resolutions.c.

const res_t r_360pro`[static]`

| Initial value:
    { "360pro",        N_("360 DPI"),
      360,  360,  360,  360,  0, 1, 1 }
Definition at line 70 of file escp2-resolutions.c.

const res_t r_360sw`[static]`

| Initial value:
    { "360sw",         N_("360 DPI"),
      360,  360,  360,  360,  1, 0, 1 }
Definition at line 76 of file escp2-resolutions.c.

const res_t r_360x120dpi`[static]`

| Initial value:
    { "360x120dpi",    N_("360 x 120 DPI Economy"),
      360,  120,  360,  120,  0, 0, 1 }
Definition at line 39 of file escp2-resolutions.c.

const res_t r_360x120sw`[static]`

| Initial value:
    { "360x120sw",     N_("360 x 120 DPI Economy"),
      360,  120,  360,  120,  1, 0, 1 }
Definition at line 42 of file escp2-resolutions.c.

const res_t r_360x180dpi`[static]`

| Initial value:
    { "360x180dpi",    N_("360 x 180 DPI Draft"),
      360,  180,  360,  180,  0, 0, 1 }
Definition at line 53 of file escp2-resolutions.c.

const res_t r_360x180sw`[static]`

| Initial value:
    { "360x180sw",     N_("360 x 180 DPI Draft"),
      360,  180,  360,  180,  1, 0, 1 }
Definition at line 56 of file escp2-resolutions.c.

const res_t r_360x240dpi`[static]`

| Initial value:
    { "360x240dpi",    N_("360 x 240 DPI Draft"),
      360,  240,  360,  240,  0, 0, 1 }
Definition at line 60 of file escp2-resolutions.c.

const res_t r_360x240sw`[static]`

| Initial value:
    { "360x240sw",     N_("360 x 240 DPI Draft"),
      360,  240,  360,  240,  1, 0, 1 }
Definition at line 63 of file escp2-resolutions.c.

const res_t r_360x90dpi`[static]`

| Initial value:
    { "360x90dpi",     N_("360 x 90 DPI Fast Economy"),
      360,  90,  360,  90,   0, 0, 1 }
Definition at line 32 of file escp2-resolutions.c.

const res_t r_360x90sw`[static]`

| Initial value:
    { "360x90sw",      N_("360 x 90 DPI Fast Economy"),
      360,  90,  360,  90,   1, 0, 1 }
Definition at line 35 of file escp2-resolutions.c.

const res_t r_720hq`[static]`

| Initial value:
    { "720hq",         N_("720 DPI High Quality"),
      720,  720,  720,  720,  1, 0, 2 }
Definition at line 93 of file escp2-resolutions.c.

const res_t r_720hq2`[static]`

| Initial value:
    { "720hq2",        N_("720 DPI Highest Quality"),
      720,  720,  720,  720,  1, 0, 4 }
Definition at line 96 of file escp2-resolutions.c.

const res_t r_720mw`[static]`

| Initial value:
    { "720mw",         N_("720 DPI"),
      720,  720,  720,  720,  0, 1, 1 }
Definition at line 87 of file escp2-resolutions.c.

const res_t r_720sw`[static]`

| Initial value:
    { "720sw",         N_("720 DPI"),
      720,  720,  720,  720,  1, 0, 1 }
Definition at line 90 of file escp2-resolutions.c.

const res_t r_720x360mw`[static]`

| Initial value:
    { "720x360mw",     N_("720 x 360 DPI"),
      720,  360,  720,  360,  0, 1, 1 }
Definition at line 80 of file escp2-resolutions.c.

const res_t r_720x360sw`[static]`

| Initial value:
    { "720x360sw",     N_("720 x 360 DPI"),
      720,  360,  720,  360,  1, 0, 1 }
Definition at line 83 of file escp2-resolutions.c.

const printer_weave_t standard_printer_weaves[]`[static]`

| Initial value:
    {
      { "Off", N_("Off"), 0 },
      { "On", N_("On"), 1 }
    }
Definition at line 423 of file escp2-resolutions.c.

const res_t* const stpi_escp2_1440dpi_reslist[]

| Initial value:
    {
      &r_360x90sw,

      &r_360x120sw,

      &r_180sw,

      &r_360x240sw,

      &r_360x180sw,

      &r_360sw,

      &r_720x360sw,

      &r_720sw,

      &r_1440x720sw,
      &r_1440x720hq2,

      NULL
    }
Definition at line 168 of file escp2-resolutions.c.

const res_t* const stpi_escp2_2880_1440dpi_reslist[]

| Initial value:
    {
      &r_360x90sw,

      &r_360x120sw,

      &r_180sw,

      &r_360x240sw,

      &r_360x180sw,

      &r_360sw,

      &r_720x360sw,

      &r_720sw,

      &r_1440x720sw,

      &r_2880x720sw,

      &r_1440x1440sw,

      &r_2880x1440sw,

      NULL
    }
Definition at line 218 of file escp2-resolutions.c.

const res_t* const stpi_escp2_2880dpi_reslist[]

| Initial value:
    {
      &r_360x90sw,

      &r_360x120sw,

      &r_180sw,

      &r_360x240sw,

      &r_360x180sw,

      &r_360sw,

      &r_720x360sw,

      &r_720sw,

      &r_1440x720sw,

      &r_2880x720sw,
      &r_2880x720hq2,

      NULL
    }
Definition at line 192 of file escp2-resolutions.c.

const res_t* const stpi_escp2_720dpi_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_360x120dpi,

      &r_180dpi,

      &r_360x240dpi,

      &r_360x180dpi,

      &r_360mw,
      &r_360,

      &r_720x360sw,

      &r_720mw,

      NULL
    }
Definition at line 146 of file escp2-resolutions.c.

const res_t* const stpi_escp2_720dpi_soft_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_360x120sw,

      &r_180dpi,

      &r_360x240sw,

      &r_360x180dpi,

      &r_360sw,

      &r_720x360sw,

      &r_720sw,
      &r_720hq,
      &r_720hq2,

      NULL
    }
Definition at line 344 of file escp2-resolutions.c.

const res_t* const stpi_escp2_g3_720dpi_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_360x120sw,

      &r_180dpi,

      &r_360x240sw,

      &r_360x180dpi,

      &r_360mw,
      &r_360,

      &r_720x360sw,

      &r_720sw,
      &r_720hq,
      &r_720hq2,

      NULL
    }
Definition at line 320 of file escp2-resolutions.c.

const res_t* const stpi_escp2_g3_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_360x120dpi,

      &r_180dpi,

      &r_360x240dpi,

      &r_360x180dpi,

      &r_360mw,
      &r_360,

      &r_720x360sw,

      &r_720sw,
      &r_720hq,

      &r_1440x720sw,
      &r_1440x720hq2,

      NULL
    }
Definition at line 247 of file escp2-resolutions.c.

const res_t* const stpi_escp2_pro_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_180dpi,

      &r_360x180dpi,

      &r_360pro,

      &r_720x360mw,

      &r_720mw,

      &r_1440x720mw,

      &r_2880x720mw,

      &r_1440x1440mw,

      &r_2880x1440mw,

      &r_2880x2880mw,

      NULL
    }
Definition at line 388 of file escp2-resolutions.c.

const res_t* const stpi_escp2_sc500_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_360x120dpi,

      &r_180dpi,

      &r_360x240dpi,

      &r_360x180dpi,

      &r_360mw,
      &r_360,

      &r_720x360mw,

      &r_720mw,

      NULL
    }
Definition at line 298 of file escp2-resolutions.c.

const res_t* const stpi_escp2_sc640_reslist[]

| Initial value:
    {
      &r_360x90dpi,

      &r_180dpi,

      &r_360x180dpi,

      &r_360mw,
      &r_360,

      &r_720x360sw,

      &r_720mw,

      &r_1440x720sw,
      &r_1440x720hq2,

      NULL
    }
Definition at line 367 of file escp2-resolutions.c.

const res_t* const stpi_escp2_superfine_reslist[]

| Initial value:
    {
      &r_360x120sw,

      &r_360x180sw,

      &r_360x240sw,

      &r_360sw,

      &r_720x360sw,

      &r_720sw,

      &r_1440x720sw,

      &r_1440x1440ov,

      &r_2880x1440sw,

      &r_2880x2880sw,

      NULL
    }
Definition at line 273 of file escp2-resolutions.c.